Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.config.annotations.endpoints
Enum ChannelType

    java.lang.Object
      java.lang.Enum<ChannelType>
          org.mule.config.annotations.endpoints.ChannelType

All Implemented Interfaces:
  Serializable, Comparable<ChannelType>

    public enum ChannelType

extends Enum<ChannelType>

Possible channel types in iBeans

Enum Constant Summary
`Binding`
`Inbound`
`Outbound`
`Reply`

Method Summary
`static ChannelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ChannelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Inbound

    public static final ChannelType Inbound

### Outbound

    public static final ChannelType Outbound

### Reply

    public static final ChannelType Reply

### Binding

    public static final ChannelType Binding

Method Detail

### values

    public static final ChannelType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ChannelType c : ChannelType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ChannelType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.